Ticket #44020

is_unit_state(): "control reaches end of non-void function" in NDEBUG build

Open Date: 2022-03-04 16:37 Last Update: 2022-03-29 16:20

Reporter:
Owner:
Type:
Status:
Closed
Component:
MileStone:
Priority:
5 - Medium
Severity:
5 - Medium
Resolution:
Fixed
File:
1

Details

is_unit_state() ends with an fc_assert_ret_val_msg(), i.e., it returns value only when asserts are active.

Ticket History (3/4 Histories)

2022-03-04 16:37 Updated by: cazfi
  • New Ticket "is_unit_state(): "control reaches end of non-void function" in NDEBUG build" created
2022-03-13 08:38 Updated by: cazfi
  • Owner Update from (None) to cazfi
  • Resolution Update from None to Accepted
  • Milestone Update from (None) to 3.0.1 (closed)
2022-03-29 16:20 Updated by: cazfi
  • Status Update from Open to Closed
  • Resolution Update from Accepted to Fixed

Edit

You are not logged in. I you are not logged in, your comment will be treated as an anonymous post. » Login